## FolksUtils

FolksUtils — Utility functions to simplify common patterns in Folks client code.

## Functions

FolksUtils * | folks_utils_new ()
gboolean | folks_utils_multi_map_str_str_equal ()
gboolean | folks_utils_multi_map_str_afd_equal ()
gboolean | folks_utils_set_afd_equal ()
gboolean | folks_utils_set_string_afd_equal ()

## Types and Values

#define | FOLKS_TYPE_UTILS
struct | FolksUtils
struct | FolksUtilsClass

## Description

These may be used by folks clients as well, and are part of folks' supported stable API.

## Functions

### folks_utils_new ()

    FolksUtils *
    folks_utils_new (void);

`folks_utils_new` has been deprecated since version 0.7.4 and should not be used in newly-written code.

Replaced by FolksUtils.

Create a new utilities object.

This method is useless and should never be used. It will be removed in a future version in favour of making the Utils class into a nested namespace.

#### Returns

a new utilities object

Since: 0.6.0

### folks_utils_multi_map_str_str_equal ()

    gboolean
    folks_utils_multi_map_str_str_equal (GeeMultiMap *a,
                                         GeeMultiMap *b);

Check whether two multi-maps of strings to strings are equal. This performs a deep check for equality, checking whether both maps are of the same size, and that each key maps to the same set of values in both maps.

#### Parameters

a | . a multi-map to compare . | [in]
b | . another multi-map to compare . | [in]

#### Returns

`true` if the multi-maps are equal, `false` otherwise

Since: 0.6.0

### folks_utils_multi_map_str_afd_equal ()

    gboolean
    folks_utils_multi_map_str_afd_equal (GeeMultiMap *a,
                                         GeeMultiMap *b);

Check whether two multi-maps of strings to AbstractFieldDetails are equal.

This performs a deep check for equality, checking whether both maps are of the same size, and that each key maps to the same set of values in both maps.

#### Parameters

a | . a multi-map to compare . | [in]
b | . another multi-map to compare . | [in]

#### Returns

`true` if the multi-maps are equal, `false` otherwise

Since: 0.6.0

### folks_utils_set_afd_equal ()

    gboolean
    folks_utils_set_afd_equal (GeeSet *a,
                               GeeSet *b);

Check whether a set of strings to AbstractFieldDetails are equal.

This performs a deep check for equality, checking whether both sets are of the same size, and that each key maps to the same set of values in both maps.

#### Parameters

a | . a set to compare . | [in]
b | . another set to compare . | [in]

#### Returns

`true` if the sets are equal, `false` otherwise

Since: 0.6.0

### folks_utils_set_string_afd_equal ()

    gboolean
    folks_utils_set_string_afd_equal (GeeSet *a,
                                      GeeSet *b);

Check whether a set of AbstractFieldDetails with string values are equal.

This performs a deep check for equality, checking whether both sets are of the same size, and that each set has the same values using string compation instead of AbstractFieldDetails equal function

#### Parameters

a | . a set to compare . | [in]
b | . another set to compare . | [in]

#### Returns

`true` if the sets are equal, `false` otherwise

Since: 0.9.7

## Types and Values

### FOLKS_TYPE_UTILS

    #define FOLKS_TYPE_UTILS (folks_utils_get_type ())

The type for FolksUtils.

### struct FolksUtils

    struct FolksUtils {
    	GObject parent_instance;
    	FolksUtilsPrivate * priv;
    };

Utility functions to simplify common patterns in Folks client code.

These may be used by folks clients as well, and are part of folks' supported stable API.

Since: 0.6.0

### struct FolksUtilsClass

    struct FolksUtilsClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_UTILS`. All the fields in this structure are private and should never be accessed directly.

#### Members